<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PackageCheckAvailRequest StructType
 * @subpackage Structs
 */
class JP_PackageCheckAvailRequest extends AbstractStructBase
{
    /**
     * The PackageOption
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageOptionRQ
     */
    public $PackageOption;
    /**
     * Constructor method for JP_PackageCheckAvailRequest
     * @uses JP_PackageCheckAvailRequest::setPackageOption()
     * @param \StructType\JP_PackageOptionRQ $packageOption
     */
    public function __construct(\StructType\JP_PackageOptionRQ $packageOption = null)
    {
        $this
            ->setPackageOption($packageOption);
    }
    /**
     * Get PackageOption value
     * @return \StructType\JP_PackageOptionRQ|null
     */
    public function getPackageOption()
    {
        return $this->PackageOption;
    }
    /**
     * Set PackageOption value
     * @param \StructType\JP_PackageOptionRQ $packageOption
     * @return \StructType\JP_PackageCheckAvailRequest
     */
    public function setPackageOption(\StructType\JP_PackageOptionRQ $packageOption = null)
    {
        $this->PackageOption = $packageOption;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_PackageCheckAvailRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
